Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 793002 - sci-physics/root-6.24.00 fails to compile with gcc-11
Summary: sci-physics/root-6.24.00 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Guilherme Amadio
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-30 09:42 UTC by Agostino Sarubbo
Modified: 2021-08-05 01:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,118.36 KB, application/x-xz)
2021-05-30 09:42 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-30 09:42:07 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-physics/root-6.24.00 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-30 09:42:10 UTC
Created attachment 712506 [details]
build.log.xz

build log and emerge --info (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 2 Agostino Sarubbo gentoo-dev 2021-05-30 09:42:12 UTC
Possible context of error(s):

-- Could NOT find OCaml (missing: OCAMLFIND OCAML_VERSION OCAML_STDLIB_PATH) 
-- Could NOT find Python module pygments
-- Could NOT find Python module pygments.lexers.c_cpp
-- Could NOT find Python module yaml
-- Could NOT find Z3: Found unsuitable version "0.0.0", but required is at least "4.7.1" (found Z3_LIBRARIES-NOTFOUND)
/var/tmp/portage/sci-physics/root-6.24.00/work/root-6.24.00/core/foundation/inc/ROOT/libcpp_string_view.h:275:63: error: ‘numeric_limits’ is not a member of ‘std’
Comment 3 Guilherme Amadio gentoo-dev 2021-06-04 11:19:22 UTC
This is already fixed upstream, I'm waiting for 6.24.02 to be released so I can bump the version to fix this.
Comment 4 Sam James archtester gentoo-dev Security 2021-08-05 01:07:26 UTC
(In reply to Guilherme Amadio from comment #3)
> This is already fixed upstream, I'm waiting for 6.24.02 to be released so I
> can bump the version to fix this.

This is in tree now, so closing: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=812f5ebad3448655d92585bd39406adc10922e9d.